Loading...

Get Status of Zip Extract Operation

Description

This API allows you to get the status of an extract operation that is being performed on a zipped object stored in a bucket. The Bucket is referred by its unique bucket name, and the required object is referred using its name.

Note: Refer to the Extract Zipped Object API to perform extract operation on a zipped object.

Request Details

Request URL

GET

{api-domain}/baas/v1/project/{project_id}/bucket/object/zip-extract/{taskId}

copy

project_id
Numerical
The unique ID of the project

task_Id
String
The value will be returned in the response while executing the Extract Zipped Object API. This id will allow you to refer to the required extraction process.

Query Parameters

bucket_name Alphanumeric
mandatory
object_key String
mandatory
Will contain the complete name of the required zipped object.
task_id String
mandatory
The value returned in the response of the Extract Zipped Object API. This ID refers to the required extraction process.

Request Headers

Authorization: Zoho-oauthtoken {oauth_token}

Optional Headers

CATALYST-ORG: {org_id}

Environment: Development

Scope

ZohoCatalyst.buckets.objects.READ

Response Details

On successful execution, the response will contain the status of the required extraction process being performed on a zipped object in Stratus.

Sample Request
copy

curl -X GET https://api.catalyst.zoho.com/baas/v1/project/31594000000567522/bucket/object/zip-extract/status -H “Authorization: Zoho-oauthtoken 1000.910*************************16.2f*************************57”

Sample Response
copy
{
"status": "success",
"data": {
    "task_status": "PENDING | COMPLETED | FAILED"
}
}
View more